package de.frajul.endlessroll.sounds;

/**
 * Created by Julian on 19.01.2018.
 */

public class SoundStream {

    private int id;
    private float soundVolume;
    private float currentVolumeModifier;

    public SoundStream(int id, float soundVolume) {
        this.id = id;
        this.soundVolume = soundVolume;
    }

    public float getModifiedVolume() {
        return soundVolume * currentVolumeModifier;
    }

    public int getId() {
        return id;
    }

    public float getSoundVolume() {
        return soundVolume;
    }

    public float getCurrentVolumeModifier() {
        return currentVolumeModifier;
    }

    public void setCurrentVolumeModifier(float currentVolumeModifier) {
        this.currentVolumeModifier = currentVolumeModifier;
    }
}
